MODULE YOMOBA

USE PARKIND1, ONLY : JPIM, JPRB
USE PARDIMO,  ONLY : JPNOTP

IMPLICIT NONE

SAVE

!-----------------------------------------------------------------------
! YOMOBA : Observations arrays definition
!-----------------------------------------------------------------------
! ROBSAR  : observations array
! ROBDD1  : real first data description record array
! ROBDD2  : real second data description record array
! MOBDD1  : integer first data description record array
! MOBDD2  : integer second data description record array
! COBDD1  : character first data description record array
! COBDD2  : character second data description record array
! MNBOTP  : number of  observations in ROBSAR  for each observation type
! MNBOTPG : idem MNBOTP but global
! MUTILW  : number of uses in CANARI for each observed parameter

! nota bene : pseudo-XXXXX = XXXXX - 1
!-----------------------------------------------------------------------
INTEGER(KIND=JPIM), PARAMETER :: JPDDRCH=1024
REAL(KIND=JPRB),ALLOCATABLE:: ROBSAR(:)
REAL(KIND=JPRB),ALLOCATABLE:: ROBDD1(:)
REAL(KIND=JPRB),ALLOCATABLE:: ROBDD2(:)

INTEGER(KIND=JPIM),ALLOCATABLE:: MOBDD1(:)
INTEGER(KIND=JPIM),ALLOCATABLE:: MOBDD2(:)

CHARACTER(LEN=JPDDRCH) :: COBDD1
CHARACTER(LEN=JPDDRCH) :: COBDD2

INTEGER(KIND=JPIM),ALLOCATABLE:: MUTILW(:)
INTEGER(KIND=JPIM) :: MNBOTP(JPNOTP)
INTEGER(KIND=JPIM) :: MNBOTPG(JPNOTP)

!-----------------------------------------------------------------------
END MODULE YOMOBA
